Subject: Re: [bug#43699] [PATCH] guix: Fix argument order of fxbit-set?

From: Ludovic Courtès <[email-masked]>
Date: Wed, 30 Sep 2020 11:34:44 +0200

Hi,

Lars-Dominik Braun <[email-masked]> skribis:

>> The root problem is that the ‘fxbit-set?’ alias defined at the top of
>> openpgp.scm had the arguments swapped compared to ‘bit-set?’.  So I
>> changed that alias instead of changing its users (‘fxbit-set?’ is
>> defined in R6RS).
> oh, okay. I looked at SRFI 143 which also has a fxbit-set? with the same
> argument order as bit-set?, so I thought the alias was mimicking that API. But
> this works too I guess.

Oh, didn’t know about that SRFI; that’s the beauty of Scheme: 10
“standard” interfaces for the same thing.  :-)

This OpenPGP code originates from R6RS (Göran Weinholt’s Industria
library and related code) so I think that was right.

Thanks,
Ludo’.